diff --git a/spring-boot-project/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/endpoint/web/annotation/AbstractWebEndpointIntegrationTests.java b/spring-boot-project/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/endpoint/web/annotation/AbstractWebEndpointIntegrationTests.java
index 5054be7e95f..dcef4df5b5b 100644
--- a/spring-boot-project/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/endpoint/web/annotation/AbstractWebEndpointIntegrationTests.java
+++ b/spring-boot-project/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/endpoint/web/annotation/AbstractWebEndpointIntegrationTests.java
@@ -179,7 +179,7 @@ void writeOperation() {
 			Map<String, Object> body = new HashMap<>();
 			body.put("foo", "one");
 			body.put("bar", "two");
-			client.post().uri("/test").body(body).exchange().expectStatus().isNoContent().expectBody().isEmpty();
+			client.post().uri("/test").bodyValue(body).exchange().expectStatus().isNoContent().expectBody().isEmpty();
 		});
 	}
 
@@ -210,7 +210,7 @@ void nullIsPassedToTheOperationWhenArgumentIsNotFoundInPostRequestBody() {
 		load(TestEndpointConfiguration.class, (context, client) -> {
 			Map<String, Object> body = new HashMap<>();
 			body.put("foo", "one");
-			client.post().uri("/test").body(body).exchange().expectStatus().isNoContent().expectBody().isEmpty();
+			client.post().uri("/test").bodyValue(body).exchange().expectStatus().isNoContent().expectBody().isEmpty();
 			verify(context.getBean(EndpointDelegate.class)).write("one", null);
 		});
 	}
diff --git a/spring-boot-project/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/endpoint/web/reactive/ControllerEndpointHandlerMappingIntegrationTests.java b/spring-boot-project/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/endpoint/web/reactive/ControllerEndpointHandlerMappingIntegrationTests.java
index fe54be2d34c..bcbffcee658 100644
--- a/spring-boot-project/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/endpoint/web/reactive/ControllerEndpointHandlerMappingIntegrationTests.java
+++ b/spring-boot-project/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/endpoint/web/reactive/ControllerEndpointHandlerMappingIntegrationTests.java
@@ -80,7 +80,7 @@ void getWithUnacceptableContentType() {
 	@Test
 	void post() {
 		this.contextRunner.run(withWebTestClient((webTestClient) -> webTestClient.post().uri("/actuator/example/two")
-				.body(Collections.singletonMap("id", "test")).exchange().expectStatus().isCreated().expectHeader()
+				.bodyValue(Collections.singletonMap("id", "test")).exchange().expectStatus().isCreated().expectHeader()
 				.valueEquals(HttpHeaders.LOCATION, "/example/test")));
 	}
 
diff --git a/spring-boot-project/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/endpoint/web/servlet/ControllerEndpointHandlerMappingIntegrationTests.java b/spring-boot-project/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/endpoint/web/servlet/ControllerEndpointHandlerMappingIntegrationTests.java
index eb365525ad4..ef42dc9783e 100644
--- a/spring-boot-project/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/endpoint/web/servlet/ControllerEndpointHandlerMappingIntegrationTests.java
+++ b/spring-boot-project/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/endpoint/web/servlet/ControllerEndpointHandlerMappingIntegrationTests.java
@@ -79,7 +79,7 @@ void getWithUnacceptableContentType() {
 	@Test
 	void post() {
 		this.contextRunner.run(withWebTestClient((webTestClient) -> webTestClient.post().uri("/actuator/example/two")
-				.body(Collections.singletonMap("id", "test")).exchange().expectStatus().isCreated().expectHeader()
+				.bodyValue(Collections.singletonMap("id", "test")).exchange().expectStatus().isCreated().expectHeader()
 				.valueEquals(HttpHeaders.LOCATION, "/example/test")));
 	}
 
diff --git a/spring-boot-project/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/logging/LoggersEndpointWebIntegrationTests.java b/spring-boot-project/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/logging/LoggersEndpointWebIntegrationTests.java
index a3b857c6d3b..e7411d979c5 100644
--- a/spring-boot-project/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/logging/LoggersEndpointWebIntegrationTests.java
+++ b/spring-boot-project/spring-boot-actuator/src/test/java/org/springframework/boot/actuate/logging/LoggersEndpointWebIntegrationTests.java
@@ -118,7 +118,8 @@ void getLoggerGroupShouldReturnConfiguredLogLevelAndMembers() {
 	@WebEndpointTest
 	void setLoggerUsingApplicationJsonShouldSetLogLevel() {
 		this.client.post().uri("/actuator/loggers/ROOT").contentType(MediaType.APPLICATION_JSON)
-				.body(Collections.singletonMap("configuredLevel", "debug")).exchange().expectStatus().isNoContent();
+				.bodyValue(Collections.singletonMap("configuredLevel", "debug")).exchange().expectStatus()
+				.isNoContent();
 		verify(this.loggingSystem).setLogLevel("ROOT", LogLevel.DEBUG);
 	}
 
@@ -126,7 +127,8 @@ void setLoggerUsingApplicationJsonShouldSetLogLevel() {
 	void setLoggerUsingActuatorV2JsonShouldSetLogLevel() {
 		this.client.post().uri("/actuator/loggers/ROOT")
 				.contentType(MediaType.parseMediaType(ActuatorMediaType.V2_JSON))
-				.body(Collections.singletonMap("configuredLevel", "debug")).exchange().expectStatus().isNoContent();
+				.bodyValue(Collections.singletonMap("configuredLevel", "debug")).exchange().expectStatus()
+				.isNoContent();
 		verify(this.loggingSystem).setLogLevel("ROOT", LogLevel.DEBUG);
 	}
 
@@ -134,7 +136,8 @@ void setLoggerUsingActuatorV2JsonShouldSetLogLevel() {
 	void setLoggerGroupUsingActuatorV2JsonShouldSetLogLevel() {
 		this.client.post().uri("/actuator/loggers/test")
 				.contentType(MediaType.parseMediaType(ActuatorMediaType.V2_JSON))
-				.body(Collections.singletonMap("configuredLevel", "debug")).exchange().expectStatus().isNoContent();
+				.bodyValue(Collections.singletonMap("configuredLevel", "debug")).exchange().expectStatus()
+				.isNoContent();
 		verify(this.loggingSystem).setLogLevel("test.member1", LogLevel.DEBUG);
 		verify(this.loggingSystem).setLogLevel("test.member2", LogLevel.DEBUG);
 	}
@@ -142,7 +145,8 @@ void setLoggerGroupUsingActuatorV2JsonShouldSetLogLevel() {
 	@WebEndpointTest
 	void setLoggerGroupUsingApplicationJsonShouldSetLogLevel() {
 		this.client.post().uri("/actuator/loggers/test").contentType(MediaType.APPLICATION_JSON)
-				.body(Collections.singletonMap("configuredLevel", "debug")).exchange().expectStatus().isNoContent();
+				.bodyValue(Collections.singletonMap("configuredLevel", "debug")).exchange().expectStatus()
+				.isNoContent();
 		verify(this.loggingSystem).setLogLevel("test.member1", LogLevel.DEBUG);
 		verify(this.loggingSystem).setLogLevel("test.member2", LogLevel.DEBUG);
 	}
@@ -150,7 +154,8 @@ void setLoggerGroupUsingApplicationJsonShouldSetLogLevel() {
 	@WebEndpointTest
 	void setLoggerOrLoggerGroupWithWrongLogLevelResultInBadRequestResponse() {
 		this.client.post().uri("/actuator/loggers/ROOT").contentType(MediaType.APPLICATION_JSON)
-				.body(Collections.singletonMap("configuredLevel", "other")).exchange().expectStatus().isBadRequest();
+				.bodyValue(Collections.singletonMap("configuredLevel", "other")).exchange().expectStatus()
+				.isBadRequest();
 		verifyZeroInteractions(this.loggingSystem);
 	}
 
@@ -158,14 +163,14 @@ void setLoggerOrLoggerGroupWithWrongLogLevelResultInBadRequestResponse() {
 	void setLoggerWithNullLogLevel() {
 		this.client.post().uri("/actuator/loggers/ROOT")
 				.contentType(MediaType.parseMediaType(ActuatorMediaType.V2_JSON))
-				.body(Collections.singletonMap("configuredLevel", null)).exchange().expectStatus().isNoContent();
+				.bodyValue(Collections.singletonMap("configuredLevel", null)).exchange().expectStatus().isNoContent();
 		verify(this.loggingSystem).setLogLevel("ROOT", null);
 	}
 
 	@WebEndpointTest
 	void setLoggerWithNoLogLevel() {
 		this.client.post().uri("/actuator/loggers/ROOT")
-				.contentType(MediaType.parseMediaType(ActuatorMediaType.V2_JSON)).body(Collections.emptyMap())
+				.contentType(MediaType.parseMediaType(ActuatorMediaType.V2_JSON)).bodyValue(Collections.emptyMap())
 				.exchange().expectStatus().isNoContent();
 		verify(this.loggingSystem).setLogLevel("ROOT", null);
 	}
@@ -174,7 +179,7 @@ void setLoggerWithNoLogLevel() {
 	void setLoggerGroupWithNullLogLevel() {
 		this.client.post().uri("/actuator/loggers/test")
 				.contentType(MediaType.parseMediaType(ActuatorMediaType.V2_JSON))
-				.body(Collections.singletonMap("configuredLevel", null)).exchange().expectStatus().isNoContent();
+				.bodyValue(Collections.singletonMap("configuredLevel", null)).exchange().expectStatus().isNoContent();
 		verify(this.loggingSystem).setLogLevel("test.member1", null);
 		verify(this.loggingSystem).setLogLevel("test.member2", null);
 	}
@@ -182,7 +187,7 @@ void setLoggerGroupWithNullLogLevel() {
 	@WebEndpointTest
 	void setLoggerGroupWithNoLogLevel() {
 		this.client.post().uri("/actuator/loggers/test")
-				.contentType(MediaType.parseMediaType(ActuatorMediaType.V2_JSON)).body(Collections.emptyMap())
+				.contentType(MediaType.parseMediaType(ActuatorMediaType.V2_JSON)).bodyValue(Collections.emptyMap())
 				.exchange().expectStatus().isNoContent();
 		verify(this.loggingSystem).setLogLevel("test.member1", null);
 		verify(this.loggingSystem).setLogLevel("test.member2", null);
diff --git a/spring-boot-project/spring-boot-autoconfigure/src/main/java/org/springframework/boot/autoconfigure/web/reactive/error/AbstractErrorWebExceptionHandler.java b/spring-boot-project/spring-boot-autoconfigure/src/main/java/org/springframework/boot/autoconfigure/web/reactive/error/AbstractErrorWebExceptionHandler.java
index b67ae96b372..2d4732b0e5c 100644
--- a/spring-boot-project/spring-boot-autoconfigure/src/main/java/org/springframework/boot/autoconfigure/web/reactive/error/AbstractErrorWebExceptionHandler.java
+++ b/spring-boot-project/spring-boot-autoconfigure/src/main/java/org/springframework/boot/autoconfigure/web/reactive/error/AbstractErrorWebExceptionHandler.java
@@ -171,7 +171,7 @@ protected boolean isTraceEnabled(ServerRequest request) {
 		}
 		Resource resource = resolveResource(viewName);
 		if (resource != null) {
-			return responseBody.body(BodyInserters.fromResource(resource));
+			return responseBody.bodyValue(BodyInserters.fromResource(resource));
 		}
 		return Mono.empty();
 	}
@@ -223,7 +223,7 @@ private Resource resolveResource(String viewName) {
 			builder.append("<div style='white-space:pre-wrap;'>").append(htmlEscape(trace)).append("</div>");
 		}
 		builder.append("</body></html>");
-		return responseBody.body(builder.toString());
+		return responseBody.bodyValue(builder.toString());
 	}
 
 	private String htmlEscape(Object input) {
diff --git a/spring-boot-project/spring-boot-autoconfigure/src/test/java/org/springframework/boot/autoconfigure/web/reactive/error/DefaultErrorWebExceptionHandlerIntegrationTests.java b/spring-boot-project/spring-boot-autoconfigure/src/test/java/org/springframework/boot/autoconfigure/web/reactive/error/DefaultErrorWebExceptionHandlerIntegrationTests.java
index c30f4526327..ede71b38ba6 100644
--- a/spring-boot-project/spring-boot-autoconfigure/src/test/java/org/springframework/boot/autoconfigure/web/reactive/error/DefaultErrorWebExceptionHandlerIntegrationTests.java
+++ b/spring-boot-project/spring-boot-autoconfigure/src/test/java/org/springframework/boot/autoconfigure/web/reactive/error/DefaultErrorWebExceptionHandlerIntegrationTests.java
@@ -111,7 +111,7 @@ void htmlError() {
 	void bindingResultError() {
 		this.contextRunner.run((context) -> {
 			WebTestClient client = getWebClient(context);
-			client.post().uri("/bind").contentType(MediaType.APPLICATION_JSON).body("{}").exchange().expectStatus()
+			client.post().uri("/bind").contentType(MediaType.APPLICATION_JSON).bodyValue("{}").exchange().expectStatus()
 					.isBadRequest().expectBody().jsonPath("status").isEqualTo("400").jsonPath("error")
 					.isEqualTo(HttpStatus.BAD_REQUEST.getReasonPhrase()).jsonPath("path").isEqualTo(("/bind"))
 					.jsonPath("exception").doesNotExist().jsonPath("errors").isArray().jsonPath("message").isNotEmpty()
